Index: distrib/sets/sets.subr
===================================================================
RCS file: /export/20060702/Repository/src/distrib/sets/sets.subr,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 sets.subr
--- distrib/sets/sets.subr	14 Jul 2006 14:43:28 -0000	1.1.1.1
+++ distrib/sets/sets.subr	27 Jul 2006 15:16:46 -0000
@@ -446,6 +446,14 @@
 		fi
 	fi
 
+	if [ "${HAVE_GDB}" = "6" ]; then
+	    if [ -f $setdir/gdb6.mi ]; then
+		echo $setdir/gdb6.mi
+	    fi
+	    if [ -f $setdir/gdb6.ad.${MACHINE_CPU} ]; then
+		echo $setdir/gdb6.ad.${MACHINE_CPU}
+	    fi
+	fi
 	if [ -f $setdir/rescue.mi ]; then
 		echo $setdir/rescue.mi
 	fi
Index: gnu/dist/gdb6/sim/ppc/debug.c
===================================================================
RCS file: /export/20060702/Repository/src/gnu/dist/gdb6/sim/ppc/debug.c,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- gnu/dist/gdb6/sim/ppc/debug.c	14 Jul 2006 14:47:45 -0000	1.1.1.1
+++ gnu/dist/gdb6/sim/ppc/debug.c	27 Jul 2006 10:40:22 -0000	1.2
@@ -29,6 +29,10 @@
 #include <stdlib.h>
 #endif
 
+#ifdef HAVE_STRING_H
+#include <string.h>
+#endif
+
 int ppc_trace[nr_trace_options];
 
 typedef struct _trace_option_descriptor {
Index: gnu/dist/gdb6/sim/ppc/device.c
===================================================================
RCS file: /export/20060702/Repository/src/gnu/dist/gdb6/sim/ppc/device.c,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- gnu/dist/gdb6/sim/ppc/device.c	14 Jul 2006 14:47:45 -0000	1.1.1.1
+++ gnu/dist/gdb6/sim/ppc/device.c	27 Jul 2006 10:40:22 -0000	1.2
@@ -1712,7 +1712,7 @@
 {
   if (port_name == NULL || port_name[0] == '\0')
     return 0;
-  if (isdigit(port_name[0])) {
+  if (isdigit((int)port_name[0])) {
     return strtoul(port_name, NULL, 0);
   }
   else {
@@ -1727,7 +1727,7 @@
 	    if (strncmp(port_name, ports->name, len) == 0) {
 	      if (port_name[len] == '\0')
 		return ports->number;
-	      else if(isdigit(port_name[len])) {
+	      else if(isdigit((int)port_name[len])) {
 		int port = ports->number + strtoul(&port_name[len], NULL, 0);
 		if (port >= ports->number + ports->nr_ports)
 		  device_error(me, "Interrupt port %s out of range",
@@ -1816,7 +1816,7 @@
 /* I/O */
 
 EXTERN_DEVICE\
-(void volatile)
+(void)
 device_error(device *me,
 	     const char *fmt,
 	     ...)
Index: gnu/dist/gdb6/sim/ppc/device.h
===================================================================
RCS file: /export/20060702/Repository/src/gnu/dist/gdb6/sim/ppc/device.h,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- gnu/dist/gdb6/sim/ppc/device.h	14 Jul 2006 14:47:45 -0000	1.1.1.1
+++ gnu/dist/gdb6/sim/ppc/device.h	27 Jul 2006 10:40:22 -0000	1.2
@@ -727,7 +727,7 @@
    */
 
 EXTERN_DEVICE\
-(void volatile) device_error
+(void) device_error
 (device *me,
  const char *fmt,
  ...) __attribute__ ((format (printf, 2, 3)));
Index: gnu/usr.bin/gdb6/sim/ppc/Makefile
===================================================================
RCS file: /export/20060702/Repository/src/gnu/usr.bin/gdb6/sim/ppc/Makefile,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 Makefile
--- gnu/usr.bin/gdb6/sim/ppc/Makefile	14 Jul 2006 14:48:53 -0000	1.1.1.1
+++ gnu/usr.bin/gdb6/sim/ppc/Makefile	27 Jul 2006 10:20:52 -0000
@@ -28,7 +28,10 @@
 		-I${DIST}/gdb/config \
 		-DHAVE_COMMON_FPU \
 		-I${.CURDIR}/../arch/powerpc \
-		-I${DIST}/sim/common
+		-I${DIST}/sim/common \
+		-D_INLINE_C \
+		-DDEVICE_INLINE
+
 PSIM_DEFINES=	-DHAVE_CONFIG_H \
 		-DDEFAULT_INLINE=PSIM_INLINE_LOCALS \
 		-DWITH_HOST_BYTE_ORDER=BYTE_ORDER \
Index: share/mk/bsd.own.mk
===================================================================
RCS file: /export/20060702/Repository/src/share/mk/bsd.own.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 bsd.own.mk
--- share/mk/bsd.own.mk	14 Jul 2006 14:49:40 -0000	1.1.1.1
+++ share/mk/bsd.own.mk	27 Jul 2006 10:47:04 -0000
@@ -79,6 +79,10 @@
 # Transitional for toolchain upgrade to GDB6
 #
 #HAVE_GDB?=	6
+.if \
+    ${MACHINE_ARCH} == "powerpc"
+HAVE_GDB?=	6
+.endif	
 
 HAVE_GDB?=	5
 
